Summary: AnyEdit plugin for eclipse
Name: eclipse-anyedit
Version: 2.6.1
Release: 3%{?dist}
License: EPL`
URL: http://andrei.gmxhome.de/anyedit/index.html

Source0: https://github.com/iloveeclipse/anyedittools/archive/%{version}.tar.gz

Requires:      eclipse-platform

BuildRequires: tycho
BuildRequires: eclipse-jdt
BuildArch:     noarch

%description
The AnyEdit plugin adds several new actions to the context menu of text-based
Eclipse editors.

%prep
%setup -q -n anyedittools-%{version}

xmvn -o org.eclipse.tycho:tycho-pomgenerator-plugin:generate-poms \
  -DgroupId=de.loskutov -Dversion=%{version}

# don't install poms
%mvn_package "::pom::" __noinstall

%build
%mvn_build -j

%install
%mvn_install

%files -f .mfiles
 
%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Apr 20 2016 Mat Booth <mat.booth@redhat.com> - 2.6.1-1
- Update to latest upstream version
- Drop upstreamed patch
- Build/install with tycho/xmvn

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.15-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Oct 16 2015 Mat Booth <mat.booth@redhat.com> - 2.4.15-3
- Patch to build against Eclipse 4.5.1
- Project moved to github
- Fix license, now EPL

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri May 8 2015 Alexander Kurtakov <akurtako@redhat.com> 2.4.15-1
- Update to upstream 2.4.15.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jul 10 2012 Alexander Kurtakov <akurtako@redhat.com> 2.4.2-1
- Update to 2.4.2 upstream release.

* Thu May 10 2012 Alexander Kurtakov <akurtako@redhat.com> 2.4.1-1
- Update to new upstream version.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Nov 8 2010 Alexander Kurtakov <akurtako@redhat.com> 2.3.3-1
- Update to 2.3.3.
- Fix FTBFS.

* Wed Aug 19 2009 Rob Myers <rob.myers@gtri.gatech.edu> 2.2.0-2
- Drop LICENSE file
- Minor spec file cleanup

* Wed Aug 19 2009 Rob Myers <rob.myers@gtri.gatech.edu> 2.2.0-1
- Updated to 2.2.0
- Drop gcj support
- Change jar location to /usr/share/eclipse/dropins/anyedit
- Bump eclipse-platform to 3.4.0+

* Wed Oct 15 2008 Rob Myers <rob.myers@gtri.gatech.edu> 2.1.1-3
- move plugin to dropins

* Sun Oct 12 2008 Rob Myers <rob.myers@gtri.gatech.edu> 2.1.1-2
- use build.update.jar package target
- update Requires for compatible versions of eclipse

* Sat Oct 11 2008 Rob Myers <rob.myers@gtri.gatech.edu> 2.1.1-1
- update to 2.1.1

* Wed Oct 17 2007 Rob Myers <rob.myers@gtri.gatech.edu> 1.8.2-5
- install as jar instead of zip

* Tue Oct 16 2007 Rob Myers <rob.myers@gtri.gatech.edu> 1.8.2-4
- rebuild

* Tue Sep 25 2007 Rob Myers <rob.myers@gtri.gatech.edu> 1.8.2-3
- update to meet http://fedoraproject.org/wiki/PackagingDrafts/EclipsePlugins

* Thu Sep 13 2007 Rob Myers <rob.myers@gtri.gatech.edu> 1.8.2-2
- update defattr settings from alcapcom

* Fri Sep  7 2007 Rob Myers <rob.myers@gtri.gatech.edu> 1.8.2-1
- update to 1.8.2
- update unicode patch for IcedTea compatibility

* Sun May 27 2007 Rob Myers <rob.myers@gtri.gatech.edu> 1.8.0-2
- enable gcj_support and rebuild

* Fri May 18 2007 Rob Myers <rob.myers@gtri.gatech.edu> 1.8.0-1
- Update to 1.8.0
- switch to pde build
- add gcj_support
- work around 'Ü' compiler issue
- add license

* Mon Apr 23 2007 Patrick Neely <patrick.neely@gtri.gatech.edu> 1.7.0-0
- Update to 1.7.0 for RHEL5

* Tue Jun 27 2006 Patrick Neely <patrick.neely@gtri.gatech.edu> 1.4.1-0
- Rebuilt for RHEL4
